Subject: COLLECTION (14) Grill Recipes
From: Joel Ehrlich <[email-masked]>
Date: Mon, 27 May 1996 19:47:54 GMT
Newsgroups: rec.food.recipes

Responding to: Christi Brogan <[email-masked]>

 CB> I am in search of some really great grilling recipes now that summer
 CB> is underway.  Anything that has to do with grilling, whether it be
 CB> marinades for the perfect chicken, beef or fish, vegetables or fruits,
 CB> or even desserts, if you've got 'em I'd love to have 'em!  Thanks!

Here are few you might like:

 Spicy Grilled Beef Roast    No. 8364                   Yields 6 Servings

     1 tsp       rosemary, dried            2 lb        beef roast or large
     1 tsp       oregano, dried                         steak (chuck eye or
   1/4 tsp       cayenne pepper                         shoulder underblade)
   1/2 tsp       salt                                   1 1/2 inches thick

Preheat a charcoal or gas grill.
Mix the rosemary, oregano, pepper and salt in a small bowl, crushing the
rosemary with your fingers.
Spread the seasoning mixture on both sides of the roast.
Place the roast on the grill.
Cover.
Cook about 8 to 10" from heat for about 8 minutes on each side for medium-rare
meat.
Transfer the meat to a platter.
Let rest in a warm place for 10 minutes before carving.
To serve, cut on a slant into very thin slices.
Arrange on individual plates.
Serve hot.

 Southwestern Grilled Chicken Salad    No. 992          Yields 4 Servings

     2 Tbls      Olive Oil                  1 Tbls      Cilantro, Chopped Fine
     1 tsp       Cumin, Ground                          Salt
     1 tsp       Cayenne                                Pepper
     1 Tbls      Cilantro, Chopped          3 small hds Red or Green Leaf
                 Salt                                   Lettuce
     4           Chicken Breast Halves  1 1/2 Cups      Cheddar, Shredded
     6           Tomatillo, Chopped     1 1/2 Cups      Monterey Jack,
   1/2 Cup       Olive Oil                              Shredded
     3 Tbls      Red Wine Vinegar
     2           Ancho Chiles, Seeded

Combine the first measure of olive oil, ground cumin, cayenne, the first
measure of cilantro and salt (to taste) in a bowl.
Remove the skin and bones from the chicken breasts.
Rub the chicken with the olive oil & herb mixture.
Grill the chicken on both sides until tender (15 to 20 minutes).
Set aside in a small bowl.
Stir the chopped tomatillo, the second measure of olive oil, the red wine
vinegar, the ancho chiles, the second measure of cilantro and salt and pepper
to taste in a small bowl.
Set aside.
Wash and dry the lettuce and tear into chunks.
Arrange in a large bowl.
Cut the chicken breasts into  1/2" thick slices and arrange in the center of
the lettuce.
Arrange the shredded Cheddar and Monterey Jack around the chicken.
Pour the vinaigrette over the salad and serve.

 Simple Grilled Eggplant    No. 6108                    Yields 6 Servings

 2 1/2 lbs       eggplant                               ground
   1/3 cup       olive oil, virgin        1/4 cup       Italian parsley,
                 salt, to taste                         finely chopped
                 black pepper, freshly

If using large eggplant, remove the stems, then slice the eggplants
horizontally  1/2" thick.
Small eggplants should be sliced vertically  1/2" thick.
Place the eggplant slices in a large, heavy plastic bag such as a freezer
bag.
Add the olive oil, salt and pepper to the bag.
Close the top.
Toss the eggplant with the seasonings until the slices are evenly coated.
Preheat a grill.
Grill the eggplant slices over medium-high heat until tender and attractively
browned.
Do not allow them to char.
For a picnic, layer the grilled eggplant slices in a large, shallow plastic
container.
Sprinkle each layer with the parsley.
Alternatively, arrange the slices on a platter and sprinkle with parsley.
Serve at room temperature.

 Shrimps On The Barbie w/Soy Dressing    No. 3082       Yields 2 Servings

     1 Lb        Jumbo Shrimp               1 Clove     Garlic, Minced
   1/4 Cup       Soy Sauce                  2 Tbls      Honey
     3 Tbls      Chinese Rice Wine          2 tsp       Sesame Oil
     1 tsp       Ginger, Minced

Shell and devein the shrimp but leave the tails on.
Mix all the remaining ingredients together.
Place the shrimp in a glass baking dish.
Pour the dressing over.
Toss the shrimp to coat.
Marinate for 1 hour.
Prepare the grill, it is NOT ready until ALL the coals have a THICK coating of
gray ash.
Grill the shrimp 4" to 6" from the coals until the flesh becomes opaque (about
2 minutes per side.)
Serve hot.

 Salsa Garlic Flank Steak    No. 2959                   Yields 4 Servings

     1 Lb        Lean Flank Steak       1 1/2 tsp       Fresh Garlic, Minced
     1 tsp       Cumin, Ground                -         Cooking Spray
     1 tsp       Coriander, Ground        1/4 Cup       Whole Kernel Corn
   1/2 tsp       Chili Powder             1/2 Cup       Medium Picante Sauce
   1/2 Cup       Medium Picante Sauce

Trim the fat from the steak.
Combine the cumin, coriander and chili powder.
Rub the steak with the spice mixture.
Combine the steak, the first measure of picante sauce and the garlic in a
zip-top, heavy duty, plastic bag.
Seal the bag.
Marinate, refrigerated, for at least 8 hours, turning the bag occasionally.
Prepare the grill - it is NOT ready until ALL the coals have a THICK, even
coating of gray ash.
Coat the grill rack with non-stick cooking spray.
Remove the steak from the bag.
Discard the marinade.
Grill the steaks to the desired degree of doneness (usually about 8 minutes
per side).
Cut diagonally across the grain into thin slices.
Combine the remaining picante sauce with the corn.
Stir well.
Spoon over the steak slices.
Serve.

 Salmon Steaks w/Citrus Vinaigrette    No. 2856          Yields 4 Servings

     1 Cup       Chicken Broth              2 tsp       Fresh Mint, Chopped
                 AND                      1/2 tsp       Lime Peel, Grated
     2 Cloves    Garlic, Sliced Thin      1/4 tsp       Hot Red Pepper Flakes,
                 REDUCED TO                             Crushed
   1/2 Cup       (See Instructions)           -         Salt
   1/4 Cup       Red Onion, Sliced Thin       -         Pepper
   1/4 Cup       Cucumber, Sliced &         4 3 1/2 oz  Salmon Steaks
                 Quartered                  2 Cups      Couscous, Cooked
     1 Tbls      Olive Oil                    -         Fresh Mint Sprigs
     1 Tbls      Lemon Juice
     2 tsp       Black Olives, Chopped

Combine the broth and garlic in a medium skillet over medium high heat.
Bring to a boil.
Cook until the mixture is reduced to the indicated amount (5-10 minutes will
reduce 1 cup to  1/2 cup).
Remove from the heat.
Cool to room temperature.
Transfer the mixture to a small bowl.
Add all the remaining ingredients except the salmon, couscous and mint sprigs.
Preheat the broiler (you may use an outdoor grill if you wish - such a grill
is NOT ready until ALL the coals have a THICK, even coating of gray ash).
Broil or grill the salmon steaks just until cooked through (about 3 minutes
per side).
Place the salmon over the couscous.
Top with the broth mixture.
Garnish with mint sprigs.
Serve hot.
~~~ Penny Watson

 Marinated Monkfish Brochettes    No. 8423              Yields 4 Servings

 1 3/4 lbs       monkfish fillets           1 tsp       cumin, ground
     2 medium    red peppers, sweet       1/8 tsp       red pepper flakes, hot
                 salt, to taste             2 tsps      garlic, chopped fine
                 black pepper, freshly      1 tbls      rosemary, fresh
                 ground, to taste                       chopped
     2 tbls      lemon juice                4 tbls      butter, melted
     1 tbls      Dijon-style mustard,       4 tbls      parsley, fresh, choppd
                 coarse

Cut the monkfish into 1 1/2" cubes.
Cut away and discard the core and veins of the peppers and cut them into
about an inch square.
Blend all the ingredients but the butter and parsley in a large bowl.
Cover with plastic wrap and marinate 15 minutes at room temperature.
Heat the grill or oven broiler to high.
Soak large wooden skewers in cold water until ready to use.
On each skewer arrange alternately 6 or so pieces of monkfish and pepper.
Brush with the marinade.
Set aside the leftover marinade.
Put the skewers on the grill or under the broiler and cook about 4
minutes.
Turn the skewers over and cook 3 to 4 minutes longer.
While cooking, brush them with the reserved marinade.
Put them on a warm serving platter and brush with melted butter and
sprinkle over parsley.
Serve immediately.

 Marinated Grilled Butterflied Leg of Lamb    No. 6118  Yields 6 Servings

 8 1/2 lbs       American leg of lamb       2 tbls      fennel seeds
                 salt to taste              2 tbls      garlic, finely chopped
                 pepper, freshly ground     4 sprigs    thyme, fresh, or
                 to taste                   2 tsps      thyme, dried
   1/4 cup       olive oil                  2 tsps      cumin
     1 cup       red wine, dry              1           bay leaf, crumbled
     2 tbls      Dijon mustard              2 tbls      butter

Have the butcher butterfly the leg of lamb or do it at home.
Cut the meat, leaving in one piece, so that it will lie flat on a grill.
Preheat broiler or charcoal grill.
Prepare the lamb for grilling; lay it out flat and sprinkle it on all sides
with salt and a generous quantity of pepper.
Combine all of the remaining ingredients except the butter in a bowl.
Blend them thoroughly.
Place the lamb in a baking dish large enough to hold it.
Pour the marinade over the meat.
Turn and rub the lamb so it is evenly coated.
It is not essential to refrigerate before cooking, but if it has been, let it
return to room temperature before starting to cook.
Remove lamb from marinade.
Place it flat on the grill, or if an oven broiler is used, place the lamb
under it 4 to 5 inches from the source of heat.
Reserve the marinade.
Cook the lamb on the grill or under the broiler for about 10 minutes.
Turn and cook another 10 minutes for rare meat; for medium  or well done, cook
longer according to taste.
Transfer the marinade to a saucepan.
Simmer for about 3 minutes.
Add the butter.
Transfer the lamb to a baking dish.
Pour the marinade over.
Cover loosely with aluminum foil.
Let the meat rest in a warm place for 10 to 15 minutes.
Slice the meat thin.
Serve with the pan gravy.

 Kentucky Whiskey Glazed Ribs    No. 4211               Yields 6 Servings

                 Glaze:                   1/2 tsp       liquid smoke flavoring
   1/2 cup       butter, unsalted         1/2 tsp       salt
   1/3 cup       vegetable oil              1 tbls      orange peel, finely
     1 cup       onion, minced                          grated
   2/3 cup       catsup                                 Ribs:
   2/3 cup       whiskey, or                3           pork sparerib racks,
   2/3 cup       bourbon                                cut into 5-rib
   1/2 cup       cider vinegar                          sections
   1/2 cup       orange juice, fresh        4 tsps      sugar
   1/2 cup       maple syrup, pure      1 1/2 tsps      allspice, ground
   1/3 cup       molasses, light, un-                   salt
                 sulfured                               pepper, freshly ground
     2 tbls      Worcestershire sauce                   green onions, (option-
   1/2 tsp       black pepper, cracked                  al)

For glaze: Melt butter in heavy large saucepan over medium heat.
Add oil and heat 2 minutes.
Add onion.
Saute until pale golden, about 5 minutes.
Add catsup, whiskey, vinegar, orange juice, maple syrup, molasses,
Worcestershire, pepper, liquid smoke and salt.
Bring to simmer, stirring frequently.
Reduce heat to medium-low.
Cook until mixture is thick and glossy, stirring occasionally, about 1 hour.
Add orange peel.
Cook 5 minutes, stirring occasionally. (Glaze can be prepared 1 day ahead.
Cover tightly and refrigerate. Before using, stir over low heat until heated
through.)
For ribs: Season both sides of ribs with sugar, allspice, salt and pepper.
Cover.
Let stand 45 minutes.
Prepare barbecue grill (medium-high heat).
Lightly oil grill.
Place ribs on grill.
Sear 5 minutes per side.
Move ribs to outer edges of grill.
Cover with grill lid or heavy-duty foil and continue grilling until meat is
tender, turning ribs occasionally and brushing with some of glaze during last
5 minutes, about 30 minutes.
Arrange ribs on platter.
Garnish with green onions.
Serve with remaining glaze.

 Grilled Tuna w/Lime Juice    No. 5749                  Yields 8 Servings

     3 lbs       tuna steaks, 1 1/2         2           limes, halved
                 inch thick

Prepare barbecue (medium-high heat).
Place the tuna on the grill.
Cook to the desired degree of doneness, about 5 minutes per side for
medium-rare.
Cut the tuna into 1" wide strips.
Place on a small platter.
Squeeze juice from the limes over.
Serve.

 Grilled Shrimp w/Oregano & Garlic    No. 1449          Yields 6 Servings

    36 LARGE     Shrimp                   7/8 Cup       Olive Oil
     3 Tbls      Dried Oregano                          Salt
     1 Tbls      Garlic, Minced                         Pepper
     2 Tbls      Olive Oil                              Lemon Wedges
   1/3 Cup       Red Wine Vinegar

Preheat the barbecue - it is ready when all coals have a thick, even coating
of gray ash.
Oil the grill on which the grilling is to be done.
Shell and devein the shrimp.
Set aside.
Warm the first measure of olive oil in a small saucepan over medium heat.
Add the oregano and garlic.
Cook for about 2 minutes.
Remove from the heat and stir in the vinegar and the second measure of olive
oil.
Season to taste with salt and pepper.
Cool.
Pour over the shrimp.
Marinate, refrigerated, for at least 2 hours (the longer the better).
Thread 3 shrimp onto each skewer.
Grill, on the oiled grill, 4 to 6 inches from the heat until pink (about 2
minutes per side).
Serve with lemon wedges.

 Grilled Lime Chicken    No. 2945                       Yields 6 Servings

   1/4 Cup       Fresh Parsley, Chopped     2 Tbls      Lime Juice
   1/2 tsp       Lime Rind, Grated          6 4 oz      Chicken Breast Halves,
     1 Cup       Chablis                                Skinned & Boned
   1/2 tsp       Pepper, Ground

Combine all the ingredients except the chicken breasts in a shallow baking
dish.
Add the chicken.
Turn to coat.
Cover.
Marinate, refrigerated, for at least 24 hours.
Prepare the grill - it is NOT ready until ALL the coals have a THICK, even
coating of gray ash.
Coat the grill rack with non stick vegetable spray.
Place the rack on the grill.
Remove the chicken from the marinade.
Reserve the marinade.
Place the chicken breasts on the rack.
Grill until done (about 5 minutes per side), basting with the reserved
marinade.
~~~ Anne Marie Chiappetta

 Grilled Fish Yucatan Style    No. 2741                 Yields 6 Servings

     1 4 Lb      Red Snapper, Cleaned,        -         Coarse Salt
                 Head & Tail Intact           -         Black Pepper, Ground
     2           Limes, Juice Only        1/2 Cup       Red Wine Vinegar
     4           Dried Ancho Chiles         3 Tbls      Peanut Oil
     4           Dried Pequin Chiles        2           Limes, Cut Into Wedges
       -         BOILING(!) Water
     3 Cloves    Garlic

Prepare the grill - it is NOT ready until ALL the coals are EVENLY covered
with a THICK coating of gray ash.
Wipe the fish dry with paper towels.
Squeeze the first measure of limes onto the skin and into the cavity of the
fish.
Let the fish stand to marinate.
Remove the stems from the chile peppers.
Soak the chiles in BOILING(!) water to cover for 30 minutes.
Place the plumped chiles in a blender along with the garlic, salt, pepper,
vinegar and oil.
Blend to a puree.
NOTE: Fresh Green (Anaheim) Chiles can be used in place of the dried chiles if
the dried chiles are unavailable.
Coat the fish with the chile pepper paste.
Broil over hot coals, basting occasionally with additional oil.
Turn once.
Serve with lime wedges.

 Grilled Smoked Pork Chops w/Cheese Grits    No. 1848   Yields 4 Servings

     4 Cups      Chicken Stock            1/4 Cup       Butter
 1 1/3 Cups      Quick Cooking Grits or     4 6 oz      Smoked Pork Chops
                 Yellow Cornmeal
   1/2 Cup       Parmesan, Grated

Bring the stock to a boil in a large, heavy saucepan.
Reduce heat to a simmer.
Add the grits in a slow, steady stream, stirring constantly.
Simmer until thick (about 10 minutes).
Remove from the heat.
Mix in the cheese and butter.
Season with salt and pepper.
Set aside and keep warm.
Prepare the barbecue grill or preheat the broiler (the barbecue is not ready
until all the coals are evenly covered with a thick coating of gray ash).
Grill the pork chops until light brown and heated through (about 4 minutes per
side).
Transfer to serving plates.
Serve with grits.

Joel
--
Rec.food.recipes is moderated; only recipes and recipe requests are
accepted for posting. Please read the "Posting Guidelines" article which is
now available on line: http://www.duke.edu/~tfdpress/rfrpost.html.
Recipes/articles go to [email-masked]; requests go to [email-masked];
questions/comments go to [email-masked]. Please allow several days
for your submission to appear.